complexType "YieldCurveMethod"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementRateSource?, quotationRateType?
</...>

Content Model Elements (2):

  quotationRateType (defined in YieldCurveMethod complexType),
  settlementRateSource (defined in YieldCurveMethod complexType)

All Direct / Indirect Based Elements (4):

  collateralizedCashPriceMethod, parYieldCurveAdjustedMethod, parYieldCurveUnadjustedMethod, zeroCouponYieldAdjustedMethod

Known Usage Locations

- As direct type of elements (4):
  collateralizedCashPriceMethod, parYieldCurveAdjustedMethod, parYieldCurveUnadjustedMethod, zeroCouponYieldAdjustedMethod

Annotation
A type defining the parameters required for each of the ISDA defined yield curve methods for cash settlement.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="YieldCurveMethod"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementRateSource" type="SettlementRateSource"/> <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
quotationRateType

  Type: | QuotationRateTypeEnum, simple content

  Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays. The meaning of Exercising Party Pays is defined in the 2000 ISDA Definitions, Section 17.2. Certain Definitions Relating to Cash Settlement, paragraph (j)
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Bid" | - | A bid rate. See: http://www.FpML.org
  "Ask" | - | An ask rate. See: http://www.FpML.org
  "Mid" | - | A mid-market rate. See: http://www.FpML.org
  "ExercisingPartyPays" | - | If optional early termination is applicable to a swap transaction, the rate, which may be a bid or ask rate, which would result, if seller is in-the-money, in the higher absolute value of the cash settlement amount, or, is seller is out-of-the-money, in the lower absolute value of the cash settlement amount. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"/>

settlementRateSource

  Type: | SettlementRateSource, complex content

  The method for obtaining a settlement rate. This may be from some information source (e.g. Reuters) or from a set of reference banks.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementRateSource" type="SettlementRateSource"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.